opencv: cv::MatExpr Class Reference

Public Member Functions | Public Attributes

# cv::MatExpr Class Reference

`#include <mat.hpp>`

List of all members.

## Public Member Functions
MatExpr | col (int x) const
Mat | cross (const Mat &m) const
MatExpr | diag (int d=0) const
double | dot (const Mat &m) const
MatExpr | inv (int method=DECOMP_LU) const
| MatExpr (const MatOp *_op, int _flags, const Mat &_a=Mat(), const Mat &_b=Mat(), const Mat &_c=Mat(), double _alpha=1, double _beta=1, const Scalar &_s=Scalar())
| MatExpr ()
| MatExpr (const Mat &m)
MatExpr | mul (const MatExpr &e, double scale=1) const
MatExpr | mul (const Mat &m, double scale=1) const
| operator Mat () const
template<typename _Tp >
| operator Mat_< _Tp > () const
MatExpr | operator() (const Rect &roi) const
MatExpr | operator() (const Range &rowRange, const Range &colRange) const
MatExpr | row (int y) const
MatExpr | t () const
## Public Attributes
Mat | a
double | alpha
Mat | b
double | beta
Mat | c
int | flags
const MatOp * | op
Scalar | s

## Constructor & Destructor Documentation

cv::MatExpr::MatExpr | ( | ) | `[inline]`

cv::MatExpr::MatExpr | ( | const MatOp * | _op,
|  | int | _flags,
|  | const Mat & | _a = `Mat()`,
|  | const Mat & | _b = `Mat()`,
|  | const Mat & | _c = `Mat()`,
|  | double | _alpha = `1`,
|  | double | _beta = `1`,
|  | const Scalar & | _s = `Scalar()`
| ) |  | `[inline]`

cv::MatExpr::MatExpr | ( | const Mat & | m ) | `[explicit]`

## Member Function Documentation

MatExpr cv::MatExpr::col | ( | int | x ) | const

Mat cv::MatExpr::cross | ( | const Mat & | m ) | const

MatExpr cv::MatExpr::diag | ( | int | d = `0` ) | const

double cv::MatExpr::dot | ( | const Mat & | m ) | const

MatExpr cv::MatExpr::inv | ( | int | method = `DECOMP_LU` ) | const

MatExpr cv::MatExpr::mul | ( | const MatExpr & | e,
|  | double | scale = `1`
| ) |  | const

MatExpr cv::MatExpr::mul | ( | const Mat & | m,
|  | double | scale = `1`
| ) |  | const

cv::MatExpr::operator Mat | ( | ) | const`[inline]`

template<typename _Tp >

cv::MatExpr::operator Mat_< _Tp > | ( | ) | const`[inline]`

MatExpr cv::MatExpr::operator() | ( | const Rect & | roi ) | const

MatExpr cv::MatExpr::operator() | ( | const Range & | rowRange,
|  | const Range & | colRange
| ) |  | const

MatExpr cv::MatExpr::row | ( | int | y ) | const

MatExpr cv::MatExpr::t | ( | ) | const

## Member Data Documentation

Mat cv::MatExpr::a

double cv::MatExpr::alpha

Mat cv::MatExpr::b

double cv::MatExpr::beta

Mat cv::MatExpr::c

int cv::MatExpr::flags

const MatOp* cv::MatExpr::op

Scalar cv::MatExpr::s

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines